Bug 824925 - apr patch needed for mod-cluster in EAP 6
apr patch needed for mod-cluster in EAP 6
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: apr (Show other bugs)
5.10
All Linux
unspecified Severity high
: rc
: ---
Assigned To: Web Stack Team
BaseOS QE Security Team
:
Depends On:
Blocks: 921048
  Show dependency treegraph
 
Reported: 2012-05-24 11:49 EDT by Permaine Cheung
Modified: 2013-06-17 12:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-17 12:15:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Permaine Cheung 2012-05-24 11:49:30 EDT
Description of problem:
There has been a problem with apr when the EAP team is testing with mod_cluster.

Version-Release number of selected component (if applicable):
apr-1.2.7-11.el5_6.5

How reproducible:


Steps to Reproduce:
Here's the description from the JIRA:

With this httpd and this mod_cluster dist, having the undermentioned config:

<IfModule manager_module>
  Listen [2620:52:0:105f::ffff:c]:8888
  NameVirtualHost [2620:52:0:105f::ffff:c]:8888
  <VirtualHost [2620:52:0:105f::ffff:c]:8888>
   ServerName vmg35
   ServerAlias *.vmg35
   <Directory />
     Order deny,allow
     Deny from all
     Allow from all     
    </Directory>
   AdvertiseGroup [ff01::1]:6666
   EnableMCPMReceive

   <Location /mcm>
       SetHandler mod_cluster-manager
       Order deny,allow
       Deny from all
       Allow from all
    </Location>

  </VirtualHost>
</IfModule>

I am getting the following:

[notice] Apache/2.2.17 (Unix) DAV/2 mod_cluster/1.2.1.Final configured -- resuming normal operations
[error] (22)Invalid argument: mod_advertise: ma_group_join apr_mcast_hops failed
[error] (22)Invalid argument: mod_advertise: multicast join failed for ff01::1:6666.

The Mod_cluster manager console shows loaded mod_cluster:

[hudson@vmg35 httpd]$ telnet 2620:52:0:105f::ffff:c 8888
Trying 2620:52:0:105f::ffff:c...
Connected to 2620:52:0:105f::ffff:c.
Escape character is '^]'.
GET /mcm
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html><head>
<title>Mod_cluster Status</title>
</head><body>
<h1>mod_cluster/1.2.1.Final</h1><a href="/mcm?nonce=55419285-4ca7-4dcc-88a3-7112b3c17c45&refresh=10">Auto Refresh</a> <a href="/mcm?nonce=55419285-4ca7-4dcc-88a3-7112b3c17c45&Cmd=DUMP&Range=ALL">show DUMP output</a> <a href="/mcm?nonce=55419285-4ca7-4dcc-88a3-7112b3c17c45&Cmd=INFO&Range=ALL">show INFO output</a>
</body></html>

yet, there is no advertising going on.
  
Actual results:


Expected results:


Additional info:
The issue has been reported for RHEL 6 in https://bugzilla.redhat.com/show_bug.cgi?id=824515
We'll need the same fix for apr in base REHL 5.

The complete patch that will be used for RHEL 6 is http://svn.apache.org/viewvc?view=revision&revision=1309394.
Comment 7 Jan Kurik 2013-06-11 05:02:55 EDT
Removed rhel-5.8.z flag as RHEL-5.8 is EOL.
Comment 8 RHEL Product and Program Management 2013-06-11 05:18:51 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 10 RHEL Product and Program Management 2013-06-17 12:15:39 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.